DatabaseMetaData.ComparableWrapper
Date: 2018-05-01

com.mysql.jdbc

## Class DatabaseMetaData.ComparableWrapper<K extends java.lang.Object & java.lang.Comparable<? super K>,V>

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.ComparableWrapper<K,V>

- All Implemented Interfaces:
    java.lang.Comparable<DatabaseMetaData.ComparableWrapper<K,V>>
  Enclosing class:
    DatabaseMetaData

      protected class DatabaseMetaData.ComparableWrapper<K extends java.lang.Object & java.lang.Comparable<? super K>,V>
      extends java.lang.Object
      implements java.lang.Comparable<DatabaseMetaData.ComparableWrapper<K,V>>

  Helper/wrapper class to provide means of sorting objects by using a sorting key.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) K` | `key`
    `(package private) V` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaData.ComparableWrapper(K key, V value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DatabaseMetaData.ComparableWrapper<K,V> other)`
    `boolean` | `equals(java.lang.Object obj)`
    `K` | `getKey()`
    `V` | `getValue()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          K extends java.lang.Object & java.lang.Comparable<? super K> key

    - #### value

          V value

  - ### Constructor Detail

    - #### DatabaseMetaData.ComparableWrapper

          public DatabaseMetaData.ComparableWrapper(K key,
                                            V value)

  - ### Method Detail

    - #### getKey

          public K getKey()

    - #### getValue

          public V getValue()

    - #### compareTo

          public int compareTo(DatabaseMetaData.ComparableWrapper<K,V> other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DatabaseMetaData.ComparableWrapper<K extends java.lang.Object & java.lang.Comparable<? super K>,V>>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`